<html>

<body>
    <div id="lista"></div>
    <a href="e11.php?limite=5">Mostrar los primeros 5 elementos</a><br>
    <a href="e11.php?limite=10">Mostrar los primeros 10 elementos</a><br>
    <a href="e11.php?limite=15">Mostrar los primeros 15 elementos</a><br>
    <a href="e11.php">Mostrar todos los elementos</a>
    <script>
        function clickFun(e) {
            e.preventDefault();
            let href = e.target.href; // localhost/web2/A/p1/e11.php?limite=10
            fetch(href).then((response) => {
                if (response.ok) {
                    return response.json();
                }
            }).then((data) => {
                var txt = "<ol>";
                for (let i = 0; i < data.length; i++) {
                    txt += "<li>" + data[i] + "</li>";
                }
                txt += "</ol>";
                document.getElementById("lista").innerHTML = txt;
            })
            return false;
        }

        let as = document.getElementsByTagName("a");
        for (let i = 0; i < as.length; i++) {
            let a = as[i];
            a.addEventListener("click", clickFun);
        };
    </script>
</body>

</html>